Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Rich Text

  • 9 பதிலளிப்புகள்
  • 0 இந்த பிரச்னைகள் உள்ளது
  • 15 views
  • Last reply by jscher2000 - Support Volunteer

How to enable rich text in Fire fox?

How to enable rich text in Fire fox?

All Replies (9)

Hi, is this a problem with a specific email site, or with another site with an online text editor?

Usually the editor will have some controls (such as a button bar or a link) that allows switching between their editors. Maybe that isn't showing or isn't working on your Firefox for some reason. But it's hard to guess without a bit more information.

Helpful?

I am only seeing this on a support site for XLS Padlock. I cannot see anything in Firefox to enable Rich Text. The error says I am using an old version of Firefox, however my Firefox is up to date. Here is a copy of the error message. Unfortunately, your browser is too old to work on this site. Please upgrade your browser to view rich content, log in and reply

Helpful?

The forum at https://www.gdgsoft.info/? Without registering I can't test it myself, but there are a lot of potential reasons for this message, including:

(1) A feature isn't compatible with Firefox, such as Flash plugin content (2) Scripts from a particular source are blocked, for example, by Tracking Protection or an add-on (3) The site is checking your Firefox user agent string and doesn't understand your browser version

Let's start with #3. Your user agent string looks fine to me, but what if that forum is ancient? When Firefox 100 was released, there was a concern that some sites could not work with 3-digit Firefox version numbers. The developers added a hidden way to use an older version number. You could try that and see whether it makes any difference on the site:

(1) In a new tab, type or paste about:config in the address bar and press Enter/Return. Click the button accepting the risk.

More info on about:config: Configuration Editor for Firefox. The moderators would like us to remind you that changes made through this back door aren't fully supported and aren't guaranteed to continue working in the future.

(2) In the search box in the page, type or paste network.http.useragent.forceVersion and pause while the list is filtered

(3) Double-click the preference to display an editing field, and change the value to 99 then press Enter or click the blue check mark button to save the change.

Edit: This change takes effect after you exit/restart Firefox.

If you load the forum in a new tab, any difference?

To return to normal, use the Reset button at the right end of the row for that preference (looks like a left-arching arrow).

jscher2000 - Support Volunteer மூலமாக திருத்தப்பட்டது

Helpful?

Sorry, I just remembered that the preference change doesn't take effect until your next exit/restart of Firefox, so you need to do that in order to test.

Helpful?

Their site has this test code:

if (!window.WeakMap || !window.Promise || typeof globalThis === "undefined") {
  window.unsupportedBrowser = true;
} else {
  // Some implementations of `WeakMap.prototype.has` do not accept false
  // values and Ember's `isClassicDecorator` sometimes does that (it only
  // checks for `null` and `undefined`).
  try {
    new WeakMap().has(0);
  } catch (err) {
    window.unsupportedBrowser = true;
  }
}

All of those features are supported in Firefox (WeakMap, Promise, globalThis) so I don't know why your Firefox is detected as unsupported. ??

Helpful?

This did not help. I am including a picture of what I get.

Helpful?

I can't help but notice that the page is completely unstyled, and that it is display an Internet Explorer-style script error. I'm puzzled how that could be happening in Firefox. Is that software launching an embedded version of IE? What if you go directly to https://www.gdgsoft.info/ in Firefox?

Helpful?

When I go to their site, everything looks good.

Helpful?

Okay, I think you'll need to access their support forum in that way rather than the method you were using before.

Helpful?

கேள்வி எழுப்பு

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.